%define python3_pkgversion 3.11
# Created by pyp2rpm-3.3.10
%global pypi_name pyproject_hooks
%global pypi_version 1.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        This is a low-level library for calling build-backends in pyproject.toml-based projects.

License:        Apache License 2.0
URL:            https://github.com/boto/pyproject_hooks
Source0:        %{pypi_source}
Patch0:         1000-add-setup-py.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%description
 pyproject_hooks - This is a low-level library for calling build-backends in pyproject.toml-based project.
It provides the basic functionality to help write tooling that generates distribution files from Python projects.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
  pyproject_hooks - This is a low-level library for calling build-backends in pyproject.toml-based project.
It provides the basic functionality to help write tooling that generates distribution files from Python projects.


%prep
%autosetup -p1 -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
ln -s src/%{pypi_name} %{pypi_name}

%build
%py3_build

%install
%py3_install
#remove test from generic dir
rm -rf %{buildroot}/%{python3_sitelib}/tests

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Aug 27 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 1.1.0-2
- Remove incorrectly installed tests
- Fix packaging

* Mon Jul 22 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.1.0-1
- Initial package.
